@import url('https://fonts.googleapis.com/css2?family=Roboto+Condensed:ital,wght@0,100..900;1,100..900&family=Roboto:ital,wght@0,100..900;1,100..900&display=swap');

html, body {
    font-family: "Roboto Condensed", sans-serif !important;
}

h1:focus {
    outline: none;
}

.text-end {
    text-align: end;
}
    .text-end span.column-header{        
        justify-content: end !important;
    }

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

:root {
    /*  --mud-palette-primary: #33BA52 !important;
    --mud-palette-primary-darken: #2f9f49 !important;
    --mud-palette-success: #33BA52 !important;
    --mud-palette-error: #E5600E !important;
    --mud-palette-warning: #FFEE58 !important;
    --mud-palette-info: #41BEA9 !important;
    --mud-palette-action-default-hover: #F5F7FA !important;
*/
    /*--color-one: #33ba52;*/ /*green*/
    /*--color-two: #e0e70f;*/ /*yellow*/
    /*--color-three: #e5600e;*/ /*orange*/
    /*--color-four: #41bea9;*/ /*turquise*/
    /*--color-five: #e5210e;*/ /*red*/
    /*--color-six: #4d3f86;*/ /*purple*/
    /* Purple branding */
    /*
        --color-one: #6636e5;
        --color-two: #b8a8d2;
        --color-three: #6153a6;
        --color-four: #231f53;
        --color-five: #5830c1;
        --color-six: #b8a8d2;

    */
    --color-bg: #FFFFFF;
    --color-one: #ff1a00;
    --color-two: #e2685a;
    --color-three: #f5a9a0;
    --color-four: #ad2f21;
    --color-five: #bf6258;
    --color-six: #dca59f;
    --color-highlight-bg: rgba(255, 255, 255, 0.05);
    --mud-palette-primary: var(--color-one) !important;
    --mud-palette-primary-darken: var(--color-five) !important;
    --mud-palette-secondary: var(--color-two) !important;
    --mud-palette-tertiary: var(--color-three) !important;
    --mud-palette-success: var(--color-three) !important;
    --mud-palette-error: var(--color-five) !important;
    --mud-palette-warning: var(--color-five) !important;
    --mud-palette-info: var(--color-two) !important;
    --mud-palette-action-default-hover: rgba(0, 0, 0, 0.05) !important;
    --mud-palette-primary-hover: rgba(0, 0, 0, 0.05) !important;
    --mud-typography-default-family: "Roboto Condensed", sans-serif !important;
    --mud-typography-subtitle2-family: "Roboto Condensed", sans-serif !important;
    --mud-typography-body2-family: "Roboto Condensed", sans-serif !important;
    --mud-typography-button-family: "Roboto Condensed", sans-serif !important;
    --mud-typography-body1-family: "Roboto Condensed", sans-serif !important;
    --mud-typography-h1-family: "Roboto Condensed", sans-serif !important;
    --mud-typography-h2-family: "Roboto Condensed", sans-serif !important;
    --mud-typography-h3-family: "Roboto Condensed", sans-serif !important;
    --mud-typography-h3-family: "Roboto Condensed", sans-serif !important;
    --mud-typography-h3-size: 1.4rem !important;
    --mud-typography-h3-weight: bold !important;
    --mud-typography-h4-family: "Roboto Condensed", sans-serif !important;
    --mud-typography-h4-size: 1rem !important;
    --mud-typography-h4-weight: regular !important;
}

body {
    
}

a, .btn-link {
    color: var(--mud-palette-primary);
}

.mud-progress-linear-bar {
    background-color: var(--mud-palette-primary) !important;
}

.mud-typography-h4 {
    font-family: var(--mud-typography-h4-family);
    font-size: var(--mud-typography-h4-size);
    font-weight: var(--mud-typography-h4-weight);    
}
/* Reconnect --------------------------------------------------------------------------------*/
#components-reconnect-modal {
    display: none;
}

    #components-reconnect-modal.components-reconnect-show, #components-reconnect-modal.components-reconnect-rejected {
        position: fixed;
        top: 0;
        left: 0;
        bottom: 0;
        right: 0;
        height: 100vh;
        width: 100vw;
        z-index: 99999;
        display: flex;
        justify-content: center;
        align-items: center;
        flex-direction: column;
    }


/* Loader --------------------------------------------------------------------------------*/
.loading-overlay {
    bottom: 0;
    left: 0;
    position: fixed;
    right: 0;
    top: 0;
    align-items: center;
    display: none;
    justify-content: center;
    overflow: hidden;
    height: 100vh;
    width: 100%;
    background: rgba(0,0,0,0.2);
    z-index: 99999999;
}

    .loading-overlay.is-active {
        display: flex
    }

    .loading-overlay.is-full-page {
        position: fixed;
        z-index: 999
    }

        .loading-overlay.is-full-page .loading-icon:after {
            top: calc(50% - 2.5em);
            left: calc(50% - 2.5em);
            width: 5em;
            height: 5em
        }

    .loading-overlay .loading-background {
        bottom: 0;
        left: 0;
        position: absolute;
        right: 0;
        top: 0;
        background: #7f7f7f;
        background: hsla(0,0%,100%,.5)
    }

    .loading-overlay .loading-icon {
        position: relative
    }

        .loading-overlay .loading-icon:after {
            -webkit-animation: spinAround .5s linear infinite;
            animation: spinAround .5s linear infinite;
            border: 2px solid #dbdbdb;
            border-radius: 9999px;
            border-right-color: transparent;
            border-top-color: transparent;
            content: "";
            display: block;
            height: 1em;
            position: relative;
            width: 1em;
            position: absolute;
            top: calc(50% - 1.5em);
            left: calc(50% - 1.5em);
            width: 3em;
            height: 3em;
            border-width: .25em
        }

.rubiks-loader *, .rubiks-loader *::before, .rubiks-loader *::after {
    box-sizing: border-box;
}

/* Constants */
/* Functions */
/* Inheritance basis */
.rubiks-loader {
    width: 65px;
    height: 65px;
    position: relative;
    perspective: 65px;
}

    /* Main */
    .rubiks-loader .cube {
        display: inline-block;
        width: 100%;
        height: 100%;
        font-size: 0;
        transform-style: preserve-3d;
    }

        .rubiks-loader .cube .piece {
            display: inline-block;
            width: 15px;
            height: 15px;
            position: absolute;
            -webkit-backface-visibility: hidden;
            backface-visibility: hidden;
        }

            .rubiks-loader .cube .piece.row-top {
                top: 5px;
            }

            .rubiks-loader .cube .piece.row-center {
                top: 25px;
            }

            .rubiks-loader .cube .piece.row-bottom {
                top: 45px;
            }

            .rubiks-loader .cube .piece.col-left {
                left: 5px;
            }

            .rubiks-loader .cube .piece.col-center {
                left: 25px;
            }

            .rubiks-loader .cube .piece.col-right {
                left: 45px;
            }

            .rubiks-loader .cube .piece.col-left.row-top {
                transform-origin: 27px 27px -27px;
            }

            .rubiks-loader .cube .piece.col-center.row-top {
                transform-origin: 7px 27px -27px;
            }

            .rubiks-loader .cube .piece.col-right.row-top {
                transform-origin: -12px 27px -27px;
            }

            .rubiks-loader .cube .piece.col-left.row-center {
                transform-origin: 27px 7px -27px;
            }

            .rubiks-loader .cube .piece.col-center.row-center {
                transform-origin: 7px 7px -27px;
            }

            .rubiks-loader .cube .piece.col-right.row-center {
                transform-origin: -12px 7px -27px;
            }

            .rubiks-loader .cube .piece.col-left.row-bottom {
                transform-origin: 27px -12px -27px;
            }

            .rubiks-loader .cube .piece.col-center.row-bottom {
                transform-origin: 7px -12px -27px;
            }

            .rubiks-loader .cube .piece.col-right.row-bottom {
                transform-origin: -12px -12px -27px;
            }

        .rubiks-loader .cube .piece {
            background-color: var(--color-one) !important;
        }

            .rubiks-loader .cube .piece.yellow {
                background-color: var(--color-two) !important;
            }

            .rubiks-loader .cube .piece.blue {
                background-color: var(--color-three) !important;
            }

            .rubiks-loader .cube .piece.green {
                background-color: var(--color-four) !important;
            }

            .rubiks-loader .cube .piece.white {
                background-color: var(--color-five) !important;
            }

            .rubiks-loader .cube .piece.red {
                background-color: var(--color-six) !important;
            }

        .rubiks-loader .cube .face.back {
            transform: rotateY(180deg);
        }

        .rubiks-loader .cube .face.right {
            transform: rotateY(90deg);
        }

        .rubiks-loader .cube .face.left {
            transform: rotateY(-90deg);
        }

        .rubiks-loader .cube .face.up {
            transform: rotateX(90deg);
        }

        .rubiks-loader .cube .face.down {
            transform: rotateX(-90deg);
        }

    /* Animations */
    /* This begins to become messy & dirty... */
    .rubiks-loader .piece {
        -webkit-animation-duration: 1.5s;
        animation-duration: 1.5s;
        -webkit-animation-iteration-count: infinite;
        animation-iteration-count: infinite;
    }

@-webkit-keyframes step-1-front-to-up {
    0% {
        transform: rotateX(0deg);
    }

    25%, 100% {
        transform: rotateX(90deg);
    }
}

@keyframes step-1-front-to-up {
    0% {
        transform: rotateX(0deg);
    }

    25%, 100% {
        transform: rotateX(90deg);
    }
}

.rubiks-loader .face.front.piece.col-center {
    -webkit-animation-name: step-1-front-to-up;
    animation-name: step-1-front-to-up;
}

@-webkit-keyframes step-1-down-to-front {
    0% {
        transform: rotateX(-90deg);
    }

    25%, 100% {
        transform: rotateX(0deg);
    }
}

@keyframes step-1-down-to-front {
    0% {
        transform: rotateX(-90deg);
    }

    25%, 100% {
        transform: rotateX(0deg);
    }
}

.rubiks-loader .face.down.piece.col-center {
    -webkit-animation-name: step-1-down-to-front;
    animation-name: step-1-down-to-front;
}

@-webkit-keyframes step-2-front-to-left {
    25% {
        transform: rotateY(0deg);
    }

    50%, 100% {
        transform: rotateY(-90deg);
    }
}

@keyframes step-2-front-to-left {
    25% {
        transform: rotateY(0deg);
    }

    50%, 100% {
        transform: rotateY(-90deg);
    }
}

.rubiks-loader .face.piece.front.row-center.col-left, .rubiks-loader .face.piece.down.row-center.col-center, .rubiks-loader .face.piece.front.row-center.col-right {
    -webkit-animation-name: step-2-front-to-left;
    animation-name: step-2-front-to-left;
}

@-webkit-keyframes step-2-right-to-front {
    25% {
        transform: rotateY(90deg);
    }

    50%, 100% {
        transform: rotateY(0deg);
    }
}

@keyframes step-2-right-to-front {
    25% {
        transform: rotateY(90deg);
    }

    50%, 100% {
        transform: rotateY(0deg);
    }
}

.rubiks-loader .face.right.piece.row-center {
    -webkit-animation-name: step-2-right-to-front;
    animation-name: step-2-right-to-front;
}

@-webkit-keyframes step-3-front-to-down {
    50% {
        transform: rotateX(0deg);
    }

    75%, 100% {
        transform: rotateX(-90deg);
    }
}

@keyframes step-3-front-to-down {
    50% {
        transform: rotateX(0deg);
    }

    75%, 100% {
        transform: rotateX(-90deg);
    }
}

@-webkit-keyframes step-2-3-right-to-front-to-down {
    25% {
        transform: rotateY(90deg);
    }

    50% {
        transform: rotateX(0deg);
    }

    75%, 100% {
        transform: rotateX(-90deg);
    }
}

@keyframes step-2-3-right-to-front-to-down {
    25% {
        transform: rotateY(90deg);
    }

    50% {
        transform: rotateX(0deg);
    }

    75%, 100% {
        transform: rotateX(-90deg);
    }
}

.rubiks-loader .face.piece.front.row-top.col-left, .rubiks-loader .face.piece.front.row-bottom.col-left {
    -webkit-animation-name: step-3-front-to-down;
    animation-name: step-3-front-to-down;
}

.rubiks-loader .face.piece.right.row-center.col-left {
    -webkit-animation-name: step-2-3-right-to-front-to-down;
    animation-name: step-2-3-right-to-front-to-down;
}

@-webkit-keyframes step-3-up-to-front {
    50% {
        transform: rotateX(90deg);
    }

    75%, 100% {
        transform: rotateX(0deg);
    }
}

@keyframes step-3-up-to-front {
    50% {
        transform: rotateX(90deg);
    }

    75%, 100% {
        transform: rotateX(0deg);
    }
}

.rubiks-loader .face.up.piece.col-left {
    -webkit-animation-name: step-3-up-to-front;
    animation-name: step-3-up-to-front;
}

@-webkit-keyframes step-4-front-to-right {
    75% {
        transform: rotateY(0deg);
    }

    100% {
        transform: rotateY(90deg);
    }
}

@keyframes step-4-front-to-right {
    75% {
        transform: rotateY(0deg);
    }

    100% {
        transform: rotateY(90deg);
    }
}

@-webkit-keyframes step-1-4-down-to-front-to-right {
    0% {
        transform: rotateX(-90deg);
    }

    25% {
        transform: rotateX(0deg);
    }

    75% {
        transform: rotateY(0deg);
    }

    100% {
        transform: rotateY(90deg);
    }
}

@keyframes step-1-4-down-to-front-to-right {
    0% {
        transform: rotateX(-90deg);
    }

    25% {
        transform: rotateX(0deg);
    }

    75% {
        transform: rotateY(0deg);
    }

    100% {
        transform: rotateY(90deg);
    }
}

@-webkit-keyframes step-3-4-up-to-front-to-right {
    50% {
        transform: rotateX(90deg);
    }

    75% {
        transform: rotateY(0deg);
    }

    100% {
        transform: rotateY(90deg);
    }
}

@keyframes step-3-4-up-to-front-to-right {
    50% {
        transform: rotateX(90deg);
    }

    75% {
        transform: rotateY(0deg);
    }

    100% {
        transform: rotateY(90deg);
    }
}

.rubiks-loader .face.piece.front.row-bottom.col-right {
    -webkit-animation-name: step-4-front-to-right;
    animation-name: step-4-front-to-right;
}

.rubiks-loader .face.piece.down.row-bottom.col-center {
    -webkit-animation-name: step-1-4-down-to-front-to-right;
    animation-name: step-1-4-down-to-front-to-right;
}

.rubiks-loader .face.piece.up.row-bottom.col-left {
    -webkit-animation-name: step-3-4-up-to-front-to-right;
    animation-name: step-3-4-up-to-front-to-right;
}

@-webkit-keyframes step-4-left-to-front {
    75% {
        transform: rotateY(-90deg);
    }

    100% {
        transform: rotateY(0deg);
    }
}

@keyframes step-4-left-to-front {
    75% {
        transform: rotateY(-90deg);
    }

    100% {
        transform: rotateY(0deg);
    }
}

.rubiks-loader .face.left.piece.row-bottom {
    -webkit-animation-name: step-4-left-to-front;
    animation-name: step-4-left-to-front;
}

/*-----------------------------------------------------------*/
.edited {
    border: dashed orange 2px;
}
.mud-dialog {
    width: 100%;
}

.mud-picker.mud-picker-inline {
    width: 160px;
    max-width: 260px;
    position: relative;    
}

.mud-picker.mud-picker-inline .mud-input {
    padding: 0 5px !important;
}

    .mud-picker.mud-picker-inline .mud-input {
        border-width: 1px;
        border-color: #ccc;
        border-radius: 3px;
        background: var(--mud-palette-action-default-hover);
        font-family: var(--mud-typography-default-family) !important;
    }

    .mud-picker.mud-picker-inline .mud-input::before {
        border-bottom: none !important;
    }

.mud-input.mud-input-outlined {
    position: relative;
    border-width: 1px;
    border-color: #ccc;
    border-radius: 3px;
    background: var(--mud-palette-action-default-hover);
    font-family: var(--mud-typography-default-family) !important;
}

.mud-input.mud-input-outlined .mud-input-outlined-border {
    background: rgba(0,0,0,0.05);
    z-index: -1;
    border-color: #CCC;
}

.mud-navmenu.mud-navmenu-default .mud-nav-link.active:not(.mud-nav-link-disabled),
.mud-nav-link:focus:not(.mud-nav-link-disabled) {
    background: rgba(0, 0, 0, 0.05);
}

.mud-picker-container .mud-button-label {
    font-size: 1.2rem;
}


@media (hover: hover) and (pointer: fine) {
    .mud-nav-link:hover:not(.mud-nav-link-disabled) {
        background: rgba(0, 0, 0, 0.05);
    }
}

@media (hover: hover) and (pointer: fine) {
    .mud-navmenu.mud-navmenu-default .mud-nav-link.active:not(.mud-nav-link-disabled):hover:not(.mud-nav-link-disabled) {
        background: rgba(0, 0, 0, 0.05);
    }
}

.mud-tab {
    min-width: 130px !important;
}

#liquidCanvas {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
    opacity: 0.2;
    filter: blur(12px) contrast(1.5) brightness(1.2);
    transform: translateZ(0);
}

#app {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
}

#CaesarInk_Inky {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: -1;
}

/*-----------------------------------------*/
/*-APEX CHARTS-----------------------------*/
/*-----------------------------------------*/
.apexcharts-menu-icon, .apexcharts-pan-icon, .apexcharts-reset-icon, .apexcharts-selection-icon,
.apexcharts-toolbar-custom-icon, .apexcharts-zoom-icon, .apexcharts-zoomin-icon, .apexcharts-zoomout-icon,
.apexcharts-menu-icon svg, .apexcharts-reset-icon svg, .apexcharts-zoom-icon svg, .apexcharts-zoomin-icon svg,
.apexcharts-zoomout-icon svg {
    color: var(--color-two) !important;
    fill: var(--color-two) !important;
}
    .apexcharts-pan-icon svg {
        stroke: var(--color-two) !important;
    }
.apexcharts-tooltip.apexcharts-theme-light {
    background: #CCCCCC !important;
}

/*-----------------------------------------*/
/*-TREE VIEW ------------------------------*/
/*-----------------------------------------*/

.treeview-custom-content {
    display: grid;
    grid-template-columns: 1fr auto;
    align-items: center;
    width: 100%;
}

@media(max-width: 768px) {
    .mud-treeview-item-content {
        display: flex !important;
        align-items: start !important;
    }

    .treeview-custom-content {
        display: flex;
        flex-direction: column;
        justify-content: start;
        width: 100%;
        align-items: end;
    }
}

/*-----------------------------------------*/
/*-REPORT TABLE ---------------------------*/
/*-----------------------------------------*/

.report-table {
    width: 100%;
    border-collapse: collapse;
    margin-bottom: 32px;
}

    .report-table thead {
        position: sticky;
        top: 0;
    }

    .report-table .total-row {
        position: sticky;
        bottom: 0;
    }

    .report-table th,
    .report-table td,
    .mud-table-cell {
        border: 1px solid #ddd;
        padding: 6px 10px;
    }

    .report-table th, .mud-table-head th.mud-table-cell {
        background-color: #f2f2f2 !important;
        text-align: left;
    }

    .report-table .number {
        text-align: right;
    }

    .report-table tfoot .total-row {
        font-weight: bold;
        background: #fafafa;
        border-top: 2px solid #666;
    }

.card-select {
    cursor: pointer;
    transition: background-color 0.5s linear;
}

    .card-select:hover {
        background: var(--mud-palette-action-default-hover);
    }

.retail-options {    
    border-radius: var(--border-radius);
    background-color: var(--color-highlight-bg); 
    overflow: hidden;
}

    .retail-options .mud-paper {
        background-color: transparent !important;
    }

/*-----------------------------------*/
/*--------Search Bar ----------------*/
/*-----------------------------------*/
.search-bar {
    max-width: 300px;    
    margin: 0 !important;
}

.search-bar .mud-input {
    background: var(--color-highlight-bg);    
    border-color: transparent !important;
    border: none !important;
}

    .search-bar .mud-input-outlined-border {
        border-color: transparent !important;
        background: var(--color-highlight-bg) !important;
    }

    .search-bar .mud-input-label.mud-input-label-outlined {        
        font-size: 0.9rem;
    }


/*-----------------------------------*/
/*--------Camera --------------------*/
/*-----------------------------------*/
    .camera-wrapper {
        position: relative;
        inset: 0;
        width: 100%;
        height: 100%;
        isolation: isolate;
        display: inline-flex;
        justify-content: center;
        align-items: center;
    }

.camera-preview {
    width: 100%;
    height: 100%;
    object-fit: cover;
    filter: contrast(1.2) brightness(0.8) saturate(0.5) sepia(0.5) hue-rotate(-15deg);
}

.camera-wrapper::before {
    content: "";
    position: absolute;
    inset: 0;
    pointer-events: none;
    background: radial-gradient( circle, transparent 40%, rgba(0,0,0,0.65) 100% );
    z-index: 2;
}

.camera-wrapper::after {
    content: "";
    position: absolute;
    inset: 0;
    pointer-events: none;
    background: rgba(255, 26, 0, 0.15);
    mix-blend-mode: screen;
}

.camera-overlay {
    position: absolute;
    inset: 0;
    background: linear-gradient( 180deg, rgba(255, 26, 0,.05), rgba(255, 26, 0,.2) );
    mix-blend-mode: color-dodge;
    pointer-events: none;
}

.scanner-reticle {
    position: absolute;
    left: 50%;
    top: 50%;
    width: 220px;
    height: 220px;
    transform: translate(-50%, -50%);
    border: 2px solid rgba(255, 26, 0,0.5);
    box-shadow: 0 0 15px rgba(255, 26, 0,0.7), inset 0 0 15px rgba(255, 26, 0,0.3);
    z-index: 3;
}

.scanner-reticle {
    border: none;
}

    .scanner-reticle span {
        position: absolute;
        width: 30px;
        height: 30px;
        border-color: var(--color-one);
        border-style: solid;
    }

        .scanner-reticle span:nth-child(1) {
            left: 0;
            top: 0;
            border-width: 3px 0 0 3px;
        }

        .scanner-reticle span:nth-child(2) {
            right: 0;
            top: 0;
            border-width: 3px 3px 0 0;
        }

        .scanner-reticle span:nth-child(3) {
            left: 0;
            bottom: 0;
            border-width: 0 0 3px 3px;
        }

        .scanner-reticle span:nth-child(4) {
            right: 0;
            bottom: 0;
            border-width: 0 3px 3px 0;
        }

    .scanner-reticle::after {
        content: "";
        position: absolute;
        left: 0;
        right: 0;
        height: 2px;
        background: var(--color-one);
        box-shadow: 0 0 10px var(--color-one), 0 0 20px var(--color-one);
        /* animation: reticle-scan 2.5s linear infinite; */
    }

@keyframes reticle-scan {

    from {
        top: 0;
    }

    to {
        top: calc(100% - 2px);
    }
}

.camera-status {
    position: absolute;
    bottom: 12px;
    top: auto;
    left: 50%;
    z-index: 10;
    transform: translateX(-50%) translateY(0);
    font-size: 0.6rem;
    color: var(--color-bg);
    letter-spacing: 3px;
    text-shadow: 0 0 10px var(--color-bg);
    transition: transform 1.5s ease, font-size 1.5ms ease, letter-spacing 1.5s ease;
    width: 100%;
    text-align: center;
}


.scanner-container {
    position: relative;
    overflow: hidden;
    display: flex;
    justify-content: center;
    max-width: 400px;
    height: 100%;
    margin: 0 auto;
}

.ticket-overlay {
    position: absolute;
    inset: 0;
    display: flex;
    justify-content: center;
    transform: translateY(110%);
    opacity: 0;
    transition: transform 350ms cubic-bezier(.2,.8,.2,1), opacity 250ms ease;
    z-index: 100;
    pointer-events: none;
}

    .ticket-overlay.show {
        transform: translateY(0);
        opacity: 1;
        pointer-events: auto;
    }

    .ticket-overlay::before {
        content: "";
        position: absolute;
        inset: 0;
        background: var(--color-bg);
        backdrop-filter: blur(2px);
        opacity: 0;
        transition: opacity .3s;
    }

    .ticket-overlay.show::before {
        opacity: 1;
    }

.ticket-layout .poster {
    max-width: 100%;
    max-height: 20vh;
    height: auto;
    overflow: hidden;    
}

.ticket-layout .poster img {
    object-fit: cover;
    width: 100%;
    height: 100%;
    max-height: 20vh;
}

.ticket-layout.ticket {
    width: min(92vw, 400px);
    aspect-ratio: 4 / 7;
    background: #EFEFEF;
    margin: 0 auto 20px;
    position: relative;
    max-height: 70vh;
}

.ticket-layout .holes-top {
    height: 50px;
    width: 50px;
    background-color: #FFFFFF;
    border-radius: 50%;
    position: absolute;
    left: 50%;
    margin-left: -25px;
    top: -25px;
}

    .ticket-layout .holes-top:before, .ticket-layout .holes-top:after {
        content: "";
        height: 50px;
        width: 50px;
        background-color: #FFFFFF;
        position: absolute;
        border-radius: 50%;
    }

    .ticket-layout .holes-top:before {
        left: -200px;
    }

    .ticket-layout .holes-top:after {
        left: 200px;
    }

.ticket-layout .holes-lower {
    position: relative;
    margin: 25px;
    border: 1px dashed #aaa;
}

    .ticket-layout .holes-lower:before, .ticket-layout .holes-lower:after {
        content: "";
        height: 50px;
        width: 50px;
        background-color: #FFFFFF;
        position: absolute;
        border-radius: 50%;
    }

    .ticket-layout .holes-lower:before {
        top: -25px;
        left: -50px;
    }

    .ticket-layout .holes-lower:after {
        top: -25px;
        left: 350px;
    }

.ticket-layout .holes-bottom {
    height: 50px;
    width: 50px;
    background-color: #FFFFFF;
    border-radius: 50%;
    position: absolute;
    left: 50%;
    margin-left: -25px;
    bottom: -25px;
}

    .ticket-layout .holes-bottom:before, .ticket-layout .holes-bottom:after {
        content: "";
        height: 50px;
        width: 50px;
        background-color: #FFFFFF;
        position: absolute;
        border-radius: 50%;
    }

    .ticket-layout .holes-bottom:before {
        left: -200px;
    }

    .ticket-layout .holes-bottom:after {
        left: 200px;
    }

.ticket-layout .title {
    padding: clamp(30px, 6vw, 50px) clamp(15px, 4vw, 25px) clamp(8px, 2vw, 10px);
}

.ticket-layout .info {
    padding: 15px 25px;
}

.ticket-layout .cinema {
    color: #aaa;
    font-size: clamp(1rem, 2vw, 1rem);
}

.ticket-layout .movie-title {
    font-size: clamp(1.6rem, 4vw, 1.5rem);
}

.ticket-layout table {
    font-size: clamp(.8rem, 2vw, 1rem);
}

    .ticket-layout table td {
        font-size: clamp(1.2rem, 3vw, 1rem);
    }

.ticket-layout .bigger {
    font-size: clamp(1.3rem, 3.5vw, 1.4rem);
}

    .ticket-layout table tr {
        margin-bottom: 10px;
    }

    .ticket-layout table th {
        text-align: left;
    }

        .ticket-layout table th:nth-of-type(1) {
            width: 38%;
        }

        .ticket-layout table th:nth-of-type(2) {
            width: 40%;
        }

        .ticket-layout table th:nth-of-type(3) {
            width: 15%;
        }    

.ticket-layout .serial {
    padding: 25px;
}

    .ticket-layout .serial table {
        border-collapse: collapse;
        margin: 0 auto;
    }

    .ticket-layout .serial td {
        width: 3px;
        height: 50px;
    }

.ticket-layout .numbers td {
    font-size: 16px;
    text-align: center;
}

.stamp {
    transform: rotate(12deg) translateX(-50%) translateY(-50%);
    color: #555;
    font-size: 3rem;
    font-weight: 700;
    border: 0.25rem solid #555;
    display: inline-block;
    padding: 0.25rem 1rem;
    text-transform: uppercase;
    border-radius: 1rem;
    font-family: 'Courier';
    -webkit-mask-image: url('https://s3-us-west-2.amazonaws.com/s.cdpn.io/8399/grunge.png');
    mix-blend-mode: multiply;
    position: absolute;
    top: 60%;
    left: 50%;
}

.is-scanned {
    color: #0A9928;
    border: 0.5rem solid #0A9928;
    border-radius: 0;
}

.is-exited {
    color: orange;
    border: 0.5rem solid orange;
    border-radius: 0;
    transform: rotate(-12deg) translateX(-50%) translateY(-50%);
}


/*-----------------------------------*/
/*--------HINT ----------------------*/
/*-----------------------------------*/
.hint-panel .mud-alert-message {
    font-style: italic;
    color: #999;
}